# Uses of Class
java.lang.SecurityManager

Packages that use SecurityManager
Package
Description
java.lang
Provides classes that are fundamental to the design of the Java programming language.
java.rmi
Provides the RMI package.

## Uses of SecurityManager in java.lang

Methods in java.lang that return SecurityManager
Modifier and Type
Method
Description
`static SecurityManager`
System.`getSecurityManager()`
Deprecated, for removal: This API element is subject to removal in a future version.
This method is only useful in conjunction with the Security Manager, which is deprecated and subject to removal in a future release.
Methods in java.lang with parameters of type SecurityManager
Modifier and Type
Method
Description
`static void`
System.`setSecurityManager(SecurityManager sm)`
Deprecated, for removal: This API element is subject to removal in a future version.
This method is only useful in conjunction with the Security Manager, which is deprecated and subject to removal in a future release.

## Uses of SecurityManager in java.rmi

Subclasses of SecurityManager in java.rmi
Modifier and Type
Class
Description
`class`
`RMISecurityManager`
Deprecated, for removal: This API element is subject to removal in a future version.
This class is only useful in conjunction with the Security Manager, which is deprecated and subject to removal in a future release.